## r-bioc-bsgenome 1.68.0

=== DESCRIPTION ===
Package: BSgenome
Title: Software infrastructure for efficient representation of full
        genomes and their SNPs
Description: Infrastructure shared by all the Biostrings-based genome data
	packages.
biocViews: Genetics, Infrastructure, DataRepresentation,
        SequenceMatching, Annotation, SNP
URL: https://bioconductor.org/packages/BSgenome
BugReports: https://github.com/Bioconductor/BSgenome/issues
Version: 1.68.0
License: Artistic-2.0
Encoding: UTF-8
Authors@R: c(
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Prisca Chidimma", "Maduka", role="ctb",
		comment="add 'replace' argument to forgeBSgenomeDataPkg()"))
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
        0.17.28), IRanges (>= 2.13.16), GenomeInfoDb (>= 1.25.6),
        GenomicRanges (>= 1.31.10), Biostrings (>= 2.47.6), rtracklayer
        (>= 1.39.7)
Imports: methods, utils, stats, matrixStats, BiocGenerics, S4Vectors,
        IRanges, XVector (>= 0.29.3), GenomeInfoDb, GenomicRanges,
        Biostrings, Rsamtools, rtracklayer
Suggests: BiocManager, Biobase, BSgenome.Celegans.UCSC.ce2,
        BSgenome.Hsapiens.UCSC.hg38,
        BSgenome.Hsapiens.UCSC.hg38.masked,
        BSgenome.Mmusculus.UCSC.mm10, BSgenome.Rnorvegicus.UCSC.rn5,
        BSgenome.Scerevisiae.UCSC.sacCer1,
        BSgenome.Hsapiens.NCBI.GRCh38,
        TxDb.Hsapiens.UCSC.hg38.knownGene,
        TxDb.Mmusculus.UCSC.mm10.knownGene,
        SNPlocs.Hsapiens.dbSNP144.GRCh38,
        XtraSNPlocs.Hsapiens.dbSNP144.GRCh38, hgu95av2probe, RUnit
LazyLoad: yes
Collate: utils.R OnDiskLongTable_old-class.R OnDiskLongTable-class.R
        OnDiskNamedSequences-class.R SNPlocs-class.R
        ODLT_SNPlocs-class.R OldFashionSNPlocs-class.R
        InjectSNPsHandler-class.R XtraSNPlocs-class.R BSgenome-class.R
        available.genomes.R injectSNPs.R getSeq-methods.R
        extractAt-methods.R bsapply.R BSgenomeViews-class.R
        BSgenome-utils.R export-methods.R BSgenomeForge.R
git_url: https://git.bioconductor.org/packages/BSgenome
git_branch: RELEASE_3_17
git_last_commit: c546020
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: no
Packaged: 2023-04-25 20:26:29 UTC; biocbuild
Author: Hervé Pagès [aut, cre],
  Prisca Chidimma Maduka [ctb] (add 'replace' argument to
    forgeBSgenomeDataPkg())
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-bsgenome (1.68.0-1) unstable; urgency=medium

  * New upstream version
  * Rename d/t/run-unit-tests to d/t/vignette to express the type of the test

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 06:08:48 +0200

=== debian/control ===
Source: r-bioc-bsgenome
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
Homepage: https://bioconductor.org/packages/BSgenome/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.13.8),
               r-bioc-s4vectors (>= 0.17.28),
               r-bioc-iranges (>= 2.13.16),
               r-bioc-genomeinfodb (>= 1.25.6),
               r-bioc-genomicranges (>= 1.31.10),
               r-bioc-biostrings (>= 2.47.6),
               r-bioc-rtracklayer (>= 1.39.7),
               r-cran-matrixstats,
               r-bioc-xvector (>= 0.29.3),
               r-bioc-rsamtools
Testsuite: autopkgtest-pkg-r

Package: r-bioc-bsgenome
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor infrastructure for Biostrings-based genome data packages
 This BioConductor module provides some basic infrastructure for
 Biostrings-based genome data packages.

=== debian/tests/control ===
Tests: vignette
Depends: @, r-bioc-biovizbase (>= 1.14.0)
Restrictions: allow-stderr

## r-bioc-bsgenome 1.70.2

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
         SequenceMatching, Annotation, SNP
 URL: https://bioconductor.org/packages/BSgenome
 BugReports: https://github.com/Bioconductor/BSgenome/issues
-Version: 1.68.0
+Version: 1.70.2
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -17,11 +17,9 @@
 		comment="add 'replace' argument to forgeBSgenomeDataPkg()"))
 Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
         0.17.28), IRanges (>= 2.13.16), GenomeInfoDb (>= 1.25.6),
-        GenomicRanges (>= 1.31.10), Biostrings (>= 2.47.6), rtracklayer
-        (>= 1.39.7)
-Imports: methods, utils, stats, matrixStats, BiocGenerics, S4Vectors,
-        IRanges, XVector (>= 0.29.3), GenomeInfoDb, GenomicRanges,
-        Biostrings, Rsamtools, rtracklayer
+        GenomicRanges (>= 1.31.10), Biostrings (>= 2.47.6), BiocIO,
+        rtracklayer (>= 1.39.7)
+Imports: utils, stats, matrixStats, XVector, Rsamtools
 Suggests: BiocManager, Biobase, BSgenome.Celegans.UCSC.ce2,
         BSgenome.Hsapiens.UCSC.hg38,
         BSgenome.Hsapiens.UCSC.hg38.masked,
@@ -31,7 +29,8 @@
         TxDb.Hsapiens.UCSC.hg38.knownGene,
         TxDb.Mmusculus.UCSC.mm10.knownGene,
         SNPlocs.Hsapiens.dbSNP144.GRCh38,
-        XtraSNPlocs.Hsapiens.dbSNP144.GRCh38, hgu95av2probe, RUnit
+        XtraSNPlocs.Hsapiens.dbSNP144.GRCh38, hgu95av2probe, RUnit,
+        BSgenomeForge
 LazyLoad: yes
 Collate: utils.R OnDiskLongTable_old-class.R OnDiskLongTable-class.R
         OnDiskNamedSequences-class.R SNPlocs-class.R
@@ -41,12 +40,13 @@
         extractAt-methods.R bsapply.R BSgenomeViews-class.R
         BSgenome-utils.R export-methods.R BSgenomeForge.R
 git_url: https://git.bioconductor.org/packages/BSgenome
-git_branch: RELEASE_3_17
-git_last_commit: c546020
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 77b80d5
+git_last_commit_date: 2024-02-07
+Repository: Bioconductor 3.18
+Date/Publication: 2024-02-08
 NeedsCompilation: no
-Packaged: 2023-04-25 20:26:29 UTC; biocbuild
+Packaged: 2024-02-08 21:15:57 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Prisca Chidimma Maduka [ctb] (add 'replace' argument to
     forgeBSgenomeDataPkg())

=== inst/pkgtemplates/BSgenome_datapkg/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: R (>= 4.2.0), GenomeInfoDb (>= 1.34.9), BSgenome (>= @BSGENOMEVERSION@)
Suggests: @SUGGESTS@
License: @LICENSE@
organism: @ORGANISM@
common_name: @COMMONNAME@
provider: @PROVIDER@
genome: @GENOME@
release_date: @RELEASEDATE@
source_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, BSgenome, @ORGANISMBIOCVIEW@

=== inst/pkgtemplates/MaskedBSgenome_datapkg/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: R (>= 4.2.0), GenomeInfoDb (>= 1.34.9), BSgenome (>= @BSGENOMEVERSION@), @REFPKGNAME@
Suggests: @SUGGESTS@
License: @LICENSE@
organism: @ORGANISM@
common_name: @COMMONNAME@
provider: @PROVIDER@
genome: @GENOME@
release_date: @RELEASEDATE@
source_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, BSgenome, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-bsgenome (1.70.2-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 13:33:45 +0100

r-bioc-bsgenome (1.70.1-1) unstable; urgency=medium

  * New upstream version
  * Drop vignette based test

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 20:01:07 +0100

=== debian/control ===
Source: r-bioc-bsgenome
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-biostrings,
               r-bioc-biocio,
               r-bioc-rtracklayer,
               r-cran-matrixstats,
               r-bioc-xvector,
               r-bioc-rsamtools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
Homepage: https://bioconductor.org/packages/BSgenome/
Rules-Requires-Root: no

Package: r-bioc-bsgenome
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor infrastructure for Biostrings-based genome data packages
 This BioConductor module provides some basic infrastructure for
 Biostrings-based genome data packages.

## r-bioc-bsgenome 1.72.0

=== DESCRIPTION ===
Package: BSgenome
Title: Software infrastructure for efficient representation of full
        genomes and their SNPs
Description: Infrastructure shared by all the Biostrings-based genome data
	packages.
biocViews: Genetics, Infrastructure, DataRepresentation,
        SequenceMatching, Annotation, SNP
URL: https://bioconductor.org/packages/BSgenome
BugReports: https://github.com/Bioconductor/BSgenome/issues
Version: 1.72.0
License: Artistic-2.0
Encoding: UTF-8
Authors@R: person("Hervé", "Pagès", role=c("aut", "cre"),
		  email="hpages.on.github@gmail.com")
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
        0.17.28), IRanges (>= 2.13.16), GenomeInfoDb (>= 1.25.6),
        GenomicRanges (>= 1.31.10), Biostrings (>= 2.47.6), BiocIO,
        rtracklayer
Imports: utils, stats, matrixStats, XVector, Rsamtools
Suggests: BiocManager, BSgenome.Celegans.UCSC.ce2,
        BSgenome.Hsapiens.UCSC.hg38,
        BSgenome.Hsapiens.UCSC.hg38.masked,
        BSgenome.Mmusculus.UCSC.mm10, BSgenome.Rnorvegicus.UCSC.rn5,
        BSgenome.Scerevisiae.UCSC.sacCer1,
        BSgenome.Hsapiens.NCBI.GRCh38,
        TxDb.Hsapiens.UCSC.hg38.knownGene,
        TxDb.Mmusculus.UCSC.mm10.knownGene,
        SNPlocs.Hsapiens.dbSNP144.GRCh38,
        XtraSNPlocs.Hsapiens.dbSNP144.GRCh38, hgu95av2probe, RUnit,
        BSgenomeForge
LazyLoad: yes
Collate: utils.R OnDiskLongTable_old-class.R OnDiskLongTable-class.R
        OnDiskNamedSequences-class.R SNPlocs-class.R
        ODLT_SNPlocs-class.R OldFashionSNPlocs-class.R
        InjectSNPsHandler-class.R XtraSNPlocs-class.R BSgenome-class.R
        available.genomes.R injectSNPs.R getSeq-methods.R
        extractAt-methods.R bsapply.R BSgenomeViews-class.R
        BSgenome-utils.R export-methods.R AdvancedBSgenomeForge.R
git_url: https://git.bioconductor.org/packages/BSgenome
git_branch: RELEASE_3_19
git_last_commit: 152815d
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30
NeedsCompilation: no
Packaged: 2024-05-01 02:53:07 UTC; biocbuild
Author: Hervé Pagès [aut, cre]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-bsgenome (1.72.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:00:02 +0200

r-bioc-bsgenome (1.72.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 13:15:05 +0200

r-bioc-bsgenome (1.72.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 23:32:37 +0200

=== debian/control ===
Source: r-bioc-bsgenome
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-biocio (>= 1.14.0),
               r-bioc-rtracklayer (>= 1.64.0),
               r-cran-matrixstats,
               r-bioc-xvector (>= 0.44.0),
               r-bioc-rsamtools (>= 2.20.0)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
Homepage: https://bioconductor.org/packages/BSgenome/
Rules-Requires-Root: no

Package: r-bioc-bsgenome
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-biocio (>= 1.14.0),
         r-bioc-rtracklayer (>= 1.64.0),
         r-bioc-xvector (>= 0.44.0),
         r-bioc-rsamtools (>= 2.20.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor infrastructure for Biostrings-based genome data packages
 This BioConductor module provides some basic infrastructure for
 Biostrings-based genome data packages.

## r-bioc-bsgenome 1.74.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
         SequenceMatching, Annotation, SNP
 URL: https://bioconductor.org/packages/BSgenome
 BugReports: https://github.com/Bioconductor/BSgenome/issues
-Version: 1.72.0
+Version: 1.74.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: person("Hervé", "Pagès", role=c("aut", "cre"),
@@ -37,12 +37,12 @@
         extractAt-methods.R bsapply.R BSgenomeViews-class.R
         BSgenome-utils.R export-methods.R AdvancedBSgenomeForge.R
 git_url: https://git.bioconductor.org/packages/BSgenome
-git_branch: RELEASE_3_19
-git_last_commit: 152815d
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 7ab2eb4
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:53:07 UTC; biocbuild
+Packaged: 2024-10-29 23:49:53 UTC; biocbuild
 Author: Hervé Pagès [aut, cre]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-bsgenome (1.74.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 20:53:56 +0100

r-bioc-bsgenome (1.74.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:48:24 +0100

=== debian/control ===
Source: r-bioc-bsgenome
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-biostrings,
               r-bioc-biocio,
               r-bioc-rtracklayer,
               r-cran-matrixstats,
               r-bioc-xvector,
               r-bioc-rsamtools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
Homepage: https://bioconductor.org/packages/BSgenome/
Rules-Requires-Root: no

Package: r-bioc-bsgenome
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor infrastructure for Biostrings-based genome data packages
 This BioConductor module provides some basic infrastructure for
 Biostrings-based genome data packages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name "*.R" -exec chmod -x \{\} \;
